Subject: bug#25626: 25.1; doc of `bufferpos-to-filepos' for type `exact'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Feb 2017 20:34:02 +0200

> Date: Sun, 5 Feb 2017 09:20:13 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> The doc string says this:
> 
>   ‘exact’, in which case we may end up re-(en/de)coding a large
>     part of the file/buffer.
> 
> And (elisp) `Text Representations' says this:
> 
>   ‘exact’
>     The result must be accurate.  The function may need to encode
>     and decode a large part of the buffer.
> 
> If I understand the code right, I think both of these are misleading.
> They can give the impression that the text in the region can have its
> encoding changed in its buffer.

I don't understand how you get that impression.  You do know that
encoding text and then decoding it back produces the same text as was
there originally, right?

This text simply says that this option might be computationally
expensive.